enchant-2 (2.2.8-1+0~20200809052424.1~1.gbpfdce60) unstable; urgency=medium

  ** SNAPSHOT build @fdce60b5fb8fc25e57dbbea257c5189b269d5af2 **

  * UNRELEASED

 -- jenkins-debian-glue Autobuilder <jenkins@build.alb.c3voc.de>  Sun, 09 Aug 2020 07:24:24 +0200

enchant-2 (2.2.8-1) unstable; urgency=medium

  * New upstream release (Closes: #952900)
    - Do not repack the upstream tarball anymore, use the release tarball and
      not the github tag, remove gnulib from the build-dependencies
  * debian/control.in: Mark libenchant-2-dev as Multi-arch: same
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/rules: Do not remove tests/test.pwl.orig during the clean phase

 -- Laurent Bigonville <bigon@debian.org>  Sun, 01 Mar 2020 21:42:27 +0100

enchant-2 (2.2.7+repack1-1) unstable; urgency=medium

  * New upstream version 2.2.7
  * debian/copyright: Switch to dep5 format
  * Repack source package to remove the gnulib files
  * Rename source package to enchant-2
  * debian/libenchant-2-2.symbols: Add new exported symbol
  * debian/rules: Switch to dh sequence
  * Bump debhelper version to 12
  * debian/rules: Disable the tests for now
  * debian/control: Bump Standards-Version to 4.4.0 (no further changes)
  * debian/rules: Exclude the plugins from the shlibs file
  * debian/control: Update the Homepage to point to the new site
  * debian/control: Reorder the dependency alternatives for the dictionaries
  * Add debian/README.source file explaining that gnulib copy is removed
  * Add GNOME magic to build the uploaders list
  * Move the git repository to the GNOME team

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Dec 2019 11:14:43 +0100

enchant (2.1.2-1~exp1) experimental; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Triggers file removed, dh_makeshlibs already does the job
    - quells lintian error: repeated-trigger-name

  [ Timo Jyrinki ]
  * New upstream version.
  * Update watch file.
  * Drop all patches, seem applied upstream or no longer relevant 
    (eg ispell provider dropped)
  * Depend on and use gnulib, update configure options.
  * Drop docs that are no longer there.
  * Update man page paths.
  * Voikko plugin file name changed.
  * Library soname change.
  * Increase Standards-Version.
  * Fix gbp.conf warning.
  * Update symbols.
  * Add myself to uploaders as requested.

  [ Prach Pongpanich ]
  * Add build-depends on libltdl-dev

 -- Timo Jyrinki <timo@debian.org>  Mon, 13 Nov 2017 19:02:43 +0200

enchant (1.6.0-11.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: cross_build.diff (Closes: #836546)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 26 Sep 2017 00:25:09 +0200

enchant (1.6.0-11) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Add patch to fix FTBFS with hunspell 1.4. (Closes: #821464)

  [ Prach Pongpanich ]
  * Bump standards version to 3.9.8
  * Packaging moved to collab-maint
  * Replace libenchant1c2a manual calls ldconfig with a trigger

 -- Prach Pongpanich <prach@debian.org>  Sun, 01 May 2016 23:29:22 +0700

enchant (1.6.0-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on ppc64el. Closes: #745662

 -- Andreas Barth <aba@ayous.org>  Mon, 25 Aug 2014 15:59:12 +0000

enchant (1.6.0-10) unstable; urgency=low

  * Upload to unstable

 -- Prach Pongpanich <prachpub@gmail.com>  Fri, 17 May 2013 21:35:14 +0700

enchant (1.6.0-9) experimental; urgency=low

  * Fix FTBFS on non-amd64 architectures: (Closes: #703820)
    - Use the (c++) syntax in libenchant1c2a.symbols
  * Add Vcs-* fields in debian/control
  * Add debian/gbp.conf

 -- Prach Pongpanich <prachpub@gmail.com>  Sun, 24 Mar 2013 23:46:45 +0700

enchant (1.6.0-8) experimental; urgency=low

  * New maintainer. (Closes: #580680)
  * Build with hardening flags:
    - Bump debhelper compat to level 9.
    - Add debhelper (>= 9).
    - Replace FLAGS,CPPFLAGS,LDFLAGS with dpkg-buildflags.
    - Override false positive hardening-no-fortify-functions 
      lintian warnings.
  * Multiarch support:
    - Add "Pre-Depends: ${misc:Pre-Depends}" for libenchant1c2a,
      libenchant-voikko.
    - Add DEB_HOST_MULTIARCH and pass it to --libdir in configure.
    - Replace /usr/lib/ with /usr/lib/*/ in {libenchant1c2a,
      libenchant-dev,libenchant-voikko}.files and debian/rules.
    - Add "Multi-Arch: same" for libenchant1c2a,libenchant-voikko. 
  * Use symbols file:
    - Add libenchant1c2a.symbols.
    - Add "dh_makeshlibs -V" in debian/rules.
    - Drop libenchant1c2a.shlibs.
    - Drop TODO.debian file.
  * Update 02_Requires-Private.diff to DEP-3 format.
  * Bump to Standards-Version 3.9.4, no changes needed.

 -- Prach Pongpanich <prachpub@gmail.com>  Mon, 11 Feb 2013 18:29:04 +0700

enchant (1.6.0-7) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Prefix libenchant1c2a depends with a non-virtual package.
  * 02_Requires-Private.diff:
    - Move glib-2.0 Requires in upstream enchant.pc.in to
      Requires.private. While enchant depends on glib-2.0, API
      it exposes to other programs doesn't require glib. This
      makes life easier for packages depending on enchant
      (Closes: #651819).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 21 Dec 2011 11:37:41 +0100

enchant (1.6.0-6) unstable; urgency=low

  * QA upload.
  * debian/patches: Add/update DEP-3 headers.
  * debian/enchant-lsmod.1: Some fixes and improvements.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 02 Nov 2011 12:50:29 +0100

enchant (1.6.0-5) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Make libenchant1c2a depend on
      (myspell|aspell|ispell|hunspell)-dictionary (Closes: #646555).
    - Fix wording of libenchant1c2a description (Closes: #647284).
  * 03_improve-options-info.diff: New quilt patch with some
    improvements in options info (Closes: #647281).
  * debian/enchant-lsmod.1: Fix typo (Closes: #647279).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 02 Nov 2011 09:43:39 +0100

enchant (1.6.0-4) unstable; urgency=low

  [ Fabrizio Regalli ]
  * QA upload.
  * Fixed format-3.0-but-debian-changes-patch lintian message
  * Bump to 3.9.2 Standards-Version
  * Bump debhelper to (>= 8.0.0)
  * Update d/compat to 8
  * Replaced 'Conflicts' with 'Breaks' in d/rules
  * Added d/watch
  * Added build-{arch,indep} rules
  * Added 01-fixminus.diff patch

  [ Agustin Martin Domingo ]
  * debian/rules:
    - Do not change upstream config.{guess,sub} for anything than
      building (Closes: #643107).
    - Set compile/link flags to those provided by dpkg-buildflags.
      Needs a recent enough dpkg-dev.
  * 02-new-ispell-format.diff. New patch to make enchant use new
    ispell 3.3 format (Closes: #640788). Break old ispell.
  * Create a minimal man page for enchant-lsmod.
  * Move binary programs from library package to new binary
    package enchant (Closes: #219436, #532873).
  * 10_enchant.1_remove-PU-macro.diff: New patch to no longer use
    unavailable .PU nroff macro .

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 21 Oct 2011 09:58:13 +0200

enchant (1.6.0-3) unstable; urgency=low

  * QA upload.
  * Finish emptying dependency_libs in .la files. Closes: #633320.
  * Fix short description to not start with an article.

 -- Regis Boudin <regis@debian.org>  Thu, 18 Aug 2011 20:08:27 +0100

enchant (1.6.0-2) unstable; urgency=low

  * QA upload.
  * debian/rules: clean the dependency_libs out of libenchant.la at
    build time, per Policy 10.2.

 -- Steve Langasek <vorlon@debian.org>  Mon, 21 Mar 2011 17:30:19 -0700

enchant (1.6.0-1) unstable; urgency=low

  * QA upload.
  * Orphaned package, set Debian QA Group as the maintainer
  * New upstream release (Closes: #531457)
  * Drop patches, merged upstream
  * Merge with 1.6.0 packaging from Ubuntu, which diverged after 1.4.2-3.3
  - Main difference splitting libenchant-voikko (Closes: #567408)
  - Does not always show Turkish (Closes: #584783)
  - Merge changelogs
  * Bring in 1.4.2-3.4 - 3.6 fixes not in Ubuntu
  - myspell-dir to hunspell
  - dependency in -dev package to libglib2.0-dev
  - removing RPATHs
  * Add vcs urls, now in collab-maint git
  * Zemberek disabled by default as recommended by upstream (crashes)
  * Update debhelper dependency to 7
  * Switch to 3.0 (quilt) source format
  * Add ${misc:Depends} and other lintian fixes
  * Refer to LGPL-2.1 instead of symlink
  * Update Standards-Version

 -- Timo Jyrinki <timo@debian.org>  Thu, 03 Jun 2010 20:33:44 +0300

enchant (1.6.0-0ubuntu1) lucid; urgency=low

  * New upstream version, clean debian changes which are in the new version
  * debian/libenchant1c2a.shlibs:
    - updated since enchant_get_version() is new

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Apr 2010 13:45:11 +0200

enchant (1.5.0-0ubuntu5) lucid; urgency=low

  * debian/patches/91_upstream_kmail_crash.dpatch:
    - upstream change to fix a kmail crash issue, thank Kjetil Kjernsmo
      (lp: #474062)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Mar 2010 14:41:08 +0200

enchant (1.5.0-0ubuntu4) lucid; urgency=low

  * debian/rules: Disable backend zemberek by passing --disable-zemberek flag
    This option makes sylpheed crash if zemberek is not installed, which have
    a lot of java depends. (LP: #413994)

 -- Julien Lavergne <gilir@ubuntu.com>  Thu, 19 Nov 2009 11:29:06 -0600

enchant (1.5.0-0ubuntu3) karmic-proposed; urgency=low

  * debian/patches/90_upstream_change_dont_truncated_custom_dictionnary.dpatch:
    - upstream change to fix incorrect dictionnary checking leading to clear
      the custom dictionnary entries on start (lp: #446230)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Nov 2009 12:29:56 +0100

enchant (1.5.0-0ubuntu2) karmic; urgency=low

  * debian/patches/03_turkish_list_only_when_zemberek_installed.patch.dpatch:
    - correctly check if zemberek is installed to list the turkish dictionary
      (lp: #276118)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Oct 2009 14:24:28 +0200

enchant (1.5.0-0ubuntu1) karmic; urgency=low

  * New upstream version
  * debian/libenchant1c2a.shlibs:
    - updated shlibs version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Jul 2009 17:03:53 +0200

enchant (1.4.2-3.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix crash on ispell code when building with gcc >= 4.4 (Closes: #567961)
    + Bump severity to not to delay the two fixes any longer.

 -- Raphael Geissert <geissert@debian.org>  Mon, 08 Feb 2010 00:06:10 -0600

enchant (1.4.2-3.5) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing dependency to -dev package (Closes: #565932)

 -- Raphael Geissert <geissert@debian.org>  Fri, 29 Jan 2010 18:14:14 -0600

enchant (1.4.2-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * --with-myspell-dir=/usr/share/hunspell (closes: #549877)
  * remove RPATHs on /usr/lib...

 -- Rene Engelhard <rene@debian.org>  Sun, 15 Nov 2009 22:57:41 +0100

enchant (1.4.2-3.3ubuntu1) jaunty; urgency=low

  * Merge with Debian; remaining changes:
    - Split libenchant_voikko.so into a separate package to avoid pulling
      in the copious voikko dependencies, lifting the package description
      from the previous libenchant-voikko binary from tmispell-voikko.
    - Make libenchant1c2a Suggest: libenchant-voikko.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Nov 2008 09:21:11 +0100

enchant (1.4.2-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * added debian/patches/02_fix_non_matching_dicts_crasher.dpatch:
    - don't close the directory before returning a dictionary otherwise
      the code listing the next entries will crash. Closes: #492212

 -- James A. Treacy <treacy@debian.org>  Wed, 08 Oct 2008 23:58:33 -0400

enchant (1.4.2-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Bump shlibs to the current upstream (Closes: #499710)

 -- Paul Wise <pabs@debian.org>  Tue, 30 Sep 2008 14:52:05 +0800

enchant (1.4.2-3.1ubuntu2) intrepid; urgency=low

  * debian/patches/02_fix_non_matching_dicts_crasher.dpatch:
    - don't close the directory before returning a dictionnary otherwise
      the code listing the next entries will crash (lp: #261596)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Oct 2008 15:32:37 +0200

enchant (1.4.2-3.1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #261075):
    - Split libenchant_voikko.so into a separate package to avoid pulling
      in the copious voikko dependencies, lifting the package description
      from the previous libenchant-voikko binary from tmispell-voikko.
    - Make libenchant1c2a Suggest: libenchant-voikko.

 -- Laurent Bigonville <bigon@ubuntu.com>  Tue, 02 Sep 2008 19:20:35 +0200

enchant (1.4.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-add lost patch for using gmodule-no-export-2.0 so that libraries linkin to
    enchant don't have all their symbols exported. Closes:#484463.

 -- Dafydd Harries <daf@debian.org>  Sun, 24 Aug 2008 21:46:43 +0100

enchant (1.4.2-3ubuntu1) intrepid; urgency=low

  * Split libenchant_voikko.so into a separate package to avoid pulling
    in the copious voikko dependencies, lifting the package description
    from the previous libenchant-voikko binary from tmispell-voikko.
  * Make libenchant1c2a Suggest: libenchant-voikko.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Aug 2008 22:13:23 +0000

enchant (1.4.2-3) unstable; urgency=low

  * Really added Zemberek support, thanks Mert - closes: #491023

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 16 Jul 2008 12:42:19 +0900

enchant (1.4.2-2) unstable; urgency=low

  * Fixed a typo in control.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 16 Jul 2008 05:04:42 +0900

enchant (1.4.2-1) unstable; urgency=low

  * New upstream release - closes: #479487
  * Bumped to Standards-Version: 3.8.0.
  * Added libvoikko-dev to build-dep.
  * Now conflicts with libenchant-voikko (Thanks Timo Jyrinki for suggestion).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 15 Jul 2008 02:41:17 +0900

enchant (1.3.0-5.1) unstable; urgency=medium

  * NMU
  * debian/patches/04_enchant.pc.dpatch
    - Added. Require gmodule-no-export-2.0 instead of gmodule-2.0 so
      --export-dynamic isn't added to the linker flags, which breaks libraries
      using linker script building against libenchant (Closes: #484463)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 04 Jun 2008 22:42:56 +0100

enchant (1.3.0-5) unstable; urgency=low

  * Bumped to Standards-Version: 3.7.3.
  * Fixed various lintian warnings.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 06 Dec 2007 22:58:44 +0900

enchant (1.3.0-4) unstable; urgency=low

  * Now excludes hyphenation dictionaries from myspell, thanks Harri Pitkanen for patch - closes: #425407

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 05 Dec 2007 03:08:37 +0900

enchant (1.3.0-3) unstable; urgency=low

  * Maintainer upload.
  * Acknowledged NMU, thanks Rene! - closes: #418262, #403834, #419543

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 01 May 2007 19:06:51 +0900

enchant (1.3.0-2.1) unstable; urgency=low

  * NMU
  * fix FTBFS wiith new hunspell (closes: #418262)
  * --with-myspell-dir=/usr/share/myspell/dicts (closes: #403834)
  * remove obsolete libmyspell-dev build-dep (closes: #419543)

 -- Rene Engelhard <rene@debian.org>  Mon, 16 Apr 2007 15:54:27 +0200

enchant (1.3.0-2) unstable; urgency=low

  * Install enchant.ordering - closes: #393147

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Mon, 16 Oct 2006 02:29:42 +0900

enchant (1.3.0-1) unstable; urgency=low

  * New upstream release - closes: #377933
  * Acknowledged NMUs - closes: #321083, #339161
  * Revised description - closes: #341902
  * Specify --with-ispell-dir in build - closes: #320255
  * Bumped to Standards-Version: 3.7.2.
  * Fixed FSF's address.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 14 Oct 2006 23:21:37 +0900

enchant (1.1.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Change package name from libenchant1c2 to libenchant1c2a for the
    C++ mt allocator ABI change, and conflict/replace libenchant1c2
    accordingly.  Closes: #339161.

 -- Steve Langasek <vorlon@debian.org>  Mon, 28 Nov 2005 06:28:05 -0800

enchant (1.1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Tighten build-deps on myspell. closes: #321083

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 29 Sep 2005 22:34:39 -0700

enchant (1.1.6-1) unstable; urgency=low

  * New upstream release - closes: #302637
  * Made changes for GCC 4.0 transition.
  * Added Build-Dep: libz-dev, closes: #301315
  * Made Standards-Version: 3.6.2.1 (no physical changes).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 12 Jul 2005 03:12:38 +0900

enchant (1.1.4+cvs.2004.08.10-1) unstable; urgency=low

  * New upstream release (CVS snapshot).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 10 Aug 2004 09:01:33 +0900

enchant (1.1.4+cvs.2004.04.07-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * Linked with hspell.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed,  7 Apr 2004 21:16:38 +0900

enchant (1.1.4+cvs.2004.02.14-1) unstable; urgency=low

  * New upstream release (CVS snapshot).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 14 Feb 2004 16:32:48 +0900

enchant (1.1.4+cvs.2004.02.07-3) unstable; urgency=low

  * [control] changed Maintainer field.
  * Temporarily disabled hspell support due to build problem.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun,  8 Feb 2004 02:51:54 +0900

enchant (1.1.4+cvs.2004.02.07-2) unstable; urgency=low

  * Oops, forgot to apply Rene Engelhard's "use external libmyspell" patch.  Sorry rene - closes: #227689

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun,  8 Feb 2004 00:48:15 +0900

enchant (1.1.4+cvs.2004.02.07-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * Added hspell support.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat,  7 Feb 2004 19:11:01 +0900

enchant (1.1.1+cvs.2003.11.08-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * Moved /usr/lib/enchant/lib*.so to libenchant1 - closes: #219616
  * Include several READMEs (by request) - closes: #219617
  * Revised copyright.
  * Include the upstream manpage - closes: #219435

 -- Masayuki Hatta <mhatta@debian.org>  Sat,  8 Nov 2003 13:24:20 +0900

enchant (1.1.1+cvs.2003.10.26-1) unstable; urgency=low

  * New upstream release (CVS snapshot).

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 26 Oct 2003 12:05:50 +0900

enchant (0.4.0+cvs.2003.10.23-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * Build-Depends: libpspell-dev instead of libaspell-dev.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 23 Oct 2003 00:03:55 +0900

enchant (0.4.0+cvs.2003.09.30-1) unstable; urgency=low

  * Initial Release.
  * aspell, ispell and myspell are supported. uspell is not yet.

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 30 Sep 2003 16:46:51 +0900

